C# 클래스 RevitLookup.Test.TestElements

These are all the tests concerning Elements. If there become alot of them, then we can break this up into mulitple RevitLookupTestFuncs objects.
파일 보기 프로젝트 열기: jeremytammik/RevitLookup

공개 메소드들

메소드 설명
AnnoSymbol ( ) : void

Creates a new annotation symbol

BeamSystemHardWired ( ) : void

Creates a new Beam System

ClassRoom ( ) : void

DetailCurveHardWired ( ) : void

Creates new Detail Curves

DimensionHardWired ( ) : void

Creates 2 hardwired lines and a dimension to measure the distance between them

Flip ( ) : void

FloorViewPlan ( ) : void

FoundationSlabHardWired ( ) : void

Creates hardwired foundation slabs

Mirror ( ) : void

Mirrors a selected modscope

ModifyWallWidth ( ) : void

Modify the width of a wall by changing the layer thickness.

SimpleFloor ( CurveArray profile, Level level ) : Autodesk.Revit.DB.ElementId

Used by the SimpleShed to create its floors and the fake roof

SimpleFloor ( ) : void

Create a floor for the selected set of walls.

SimpleLevelIteration ( ) : void

Demonstrates the increase of floor to floor height by iterating over a set of available levels.

SimpleShed ( ) : void

Creates a simple shed consisting of a door, window, a few floors and walls

SimpleSlab ( ) : void

Creates a hardwired slab.

SimpleTag ( ) : void

Add a simple tag to selected elements.

SimpleViewSection ( ) : void

SimpleWall ( ) : void

Create a single wall at the specified location and level

TestElements ( Autodesk app ) : System
TextNoteHardWired ( ) : void

Creates a hardwired text note with a straight leader

ViewToNewSheetHardwired ( ) : void

Add the Level 1 (type = Floor Plan) view to a newly created sheet.

WindowCenterVertical ( ) : void
WindowSill_18 ( ) : void

비공개 메소드들

메소드 설명
CategoryEnums ( ) : void
GetWallHeight ( HostObject hostObj ) : double
GetWindowHeight ( FamilyInstance window ) : double
ParameterEnums ( ) : void
ParameterEnumsNoDups ( ) : void
SimpleSwap ( ) : void

Swap any selected door with a hardwired double door.

UpdateHostCompoudStructures ( ElementType symbol ) : System.Boolean

메소드 상세

AnnoSymbol() 공개 메소드

Creates a new annotation symbol
public AnnoSymbol ( ) : void
리턴 void

BeamSystemHardWired() 공개 메소드

Creates a new Beam System
public BeamSystemHardWired ( ) : void
리턴 void

ClassRoom() 공개 메소드

public ClassRoom ( ) : void
리턴 void

DetailCurveHardWired() 공개 메소드

Creates new Detail Curves
public DetailCurveHardWired ( ) : void
리턴 void

DimensionHardWired() 공개 메소드

Creates 2 hardwired lines and a dimension to measure the distance between them
public DimensionHardWired ( ) : void
리턴 void

Flip() 공개 메소드

public Flip ( ) : void
리턴 void

FloorViewPlan() 공개 메소드

public FloorViewPlan ( ) : void
리턴 void

FoundationSlabHardWired() 공개 메소드

Creates hardwired foundation slabs
public FoundationSlabHardWired ( ) : void
리턴 void

Mirror() 공개 메소드

Mirrors a selected modscope
public Mirror ( ) : void
리턴 void

ModifyWallWidth() 공개 메소드

Modify the width of a wall by changing the layer thickness.
public ModifyWallWidth ( ) : void
리턴 void

SimpleFloor() 공개 메소드

Used by the SimpleShed to create its floors and the fake roof
public SimpleFloor ( CurveArray profile, Level level ) : Autodesk.Revit.DB.ElementId
profile CurveArray
level Level
리턴 Autodesk.Revit.DB.ElementId

SimpleFloor() 공개 메소드

Create a floor for the selected set of walls.
public SimpleFloor ( ) : void
리턴 void

SimpleLevelIteration() 공개 메소드

Demonstrates the increase of floor to floor height by iterating over a set of available levels.
public SimpleLevelIteration ( ) : void
리턴 void

SimpleShed() 공개 메소드

Creates a simple shed consisting of a door, window, a few floors and walls
public SimpleShed ( ) : void
리턴 void

SimpleSlab() 공개 메소드

Creates a hardwired slab.
public SimpleSlab ( ) : void
리턴 void

SimpleTag() 공개 메소드

Add a simple tag to selected elements.
public SimpleTag ( ) : void
리턴 void

SimpleViewSection() 공개 메소드

public SimpleViewSection ( ) : void
리턴 void

SimpleWall() 공개 메소드

Create a single wall at the specified location and level
public SimpleWall ( ) : void
리턴 void

TestElements() 공개 메소드

public TestElements ( Autodesk app ) : System
app Autodesk
리턴 System

TextNoteHardWired() 공개 메소드

Creates a hardwired text note with a straight leader
public TextNoteHardWired ( ) : void
리턴 void

ViewToNewSheetHardwired() 공개 메소드

Add the Level 1 (type = Floor Plan) view to a newly created sheet.
public ViewToNewSheetHardwired ( ) : void
리턴 void

WindowCenterVertical() 공개 메소드

public WindowCenterVertical ( ) : void
리턴 void

WindowSill_18() 공개 메소드

public WindowSill_18 ( ) : void
리턴 void